Bug 1122220 - Review Request: nodejs-degenerator - Turns sync functions into async generator functions
Summary: Review Request: nodejs-degenerator - Turns sync functions into async generato...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122211
Blocks: nodejs-reviews 1122229
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2014-08-15 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 19:05:27 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:32 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-degenerator.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-degenerator-0.0.3-1.fc20.src.rpm

Description:
Sometimes you need to write sync looking code that's really async under the
hood. This module takes a String to one or more synchronous JavaScript
functions, and returns a new String that with those JS functions transpiled
into ES6 Generator Functions.

Comment 1 Parag AN(पराग) 2014-07-23 09:51:25 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-degenerator.noarch: W: spelling-error Summary(en_US) async -> sync, a sync
nodejs-degenerator.noarch: W: spelling-error %description -l en_US async -> sync, a sync
nodejs-degenerator.noarch: W: spelling-error %description -l en_US transpiled -> transpired, trans piled, trans-piled
nodejs-degenerator.noarch: W: only-non-binary-in-usr-lib
nodejs-degenerator.noarch: W: dangling-symlink /usr/lib/node_modules/degenerator/node_modules/escodegen /usr/lib/node_modules/escodegen
nodejs-degenerator.noarch: W: dangling-symlink /usr/lib/node_modules/degenerator/node_modules/esprima /usr/lib/node_modules/esprima
nodejs-degenerator.noarch: W: dangling-symlink /usr/lib/node_modules/degenerator/node_modules/ast-types /usr/lib/node_modules/ast-types
nodejs-degenerator.src: W: spelling-error Summary(en_US) async -> sync, a sync
nodejs-degenerator.src: W: spelling-error %description -l en_US async -> sync, a sync
nodejs-degenerator.src: W: spelling-error %description -l en_US transpiled -> transpired, trans piled, trans-piled
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :9f7dfebb583a18f52c2af65a9d7b03711f48fa0e261355ccb941cbde415f0873
upstream tarball :9f7dfebb583a18f52c2af65a9d7b03711f48fa0e261355ccb941cbde415f0873

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 13:48:04 UTC
New Package SCM Request
=======================
Package Name: nodejs-degenerator
Short Description: Turns sync functions into async generator functions
Upstream URL: https://npmjs.org/package/degenerator
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:38:54 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 19:03:56 UTC
nodejs-degenerator-0.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-degenerator-0.0.3-1.fc20

Comment 5 Fedora Update System 2014-07-23 19:04:07 UTC
nodejs-degenerator-0.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-degenerator-0.0.3-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:05:27 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:42:38 UTC
nodejs-degenerator-0.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:42:45 UTC
nodejs-degenerator-0.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.